# Class TreeChangeEvent

java.lang.Object
jebl.evolution.trees.TreeChangeEvent

public final class TreeChangeEvent extends Object
Represents a change to a tree. As at 2008-5-22, this class just encapsulates the tree but in future it may contain more details on the type of change made to the tree.

Version:
  $Id: TreeChangeEvent.java 913 2008-05-22 04:53:39Z matt_kearse $
Author:
  Matt Kearse

## Constructor Summary

Constructors
Constructor
Description
`TreeChangeEvent(Tree tree)`

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getTree()`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeChangeEvent

public TreeChangeEvent(Tree tree)

## Method Details

### getTree

public Tree getTree()